<!--
  ~ Licensed to the Apache Software Foundation (ASF) under one or more
  ~ contributor license agreements.  See the NOTICE file distributed with
  ~ this work for additional information regarding copyright ownership.
  ~ The ASF licenses this file to You under the Apache License, Version 2.0
  ~ (the "License"); you may not use this file except in compliance with
  ~ the License.  You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

# Previous releases of Apache Unomi

## Verify the integrity of the files

It is essential that you verify the integrity of the downloaded files using the PGP or MD5 signatures.

The PGP signatures can be verified using PGP or GPG. First download the [KEYS](http://www.apache.org/dist/incubator/unomi/KEYS) as well as the PGP signature file for the 
relevant file. Make sure you get these files from the main distribution directory, rather than from a mirror. Then 
verify the signatures using, for instance:

    % gpg --import KEYS
    % gpg --verify unomi-1.2.0-incubating.tar.gz.asc unomi-1.2.0-incubating.tar.gz

## 1.1.0-incubating

### Release notes

Here are the [release notes](https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12319220&amp;version=12335442) for this version of Apache Unomi

### Binaries

* [tar.gz](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating.tar.gz) ([MD5](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating.tar.gz.md5) - [SHA1](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating.tar.gz.sha1) - [PGP](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating.tar.gz.asc))
* [zip](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating.zip) ([MD5](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating.zip.md5) - [SHA1](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating.zip.sha1) - [PGP](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating.zip.asc))

### Source code

* [tar.gz](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating-src.tar.gz) ([MD5](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating-src.tar.gz.md5) - [SHA1](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating-src.tar.gz.sha1) - [PGP](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating-src.tar.gz.asc))
* [zip](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating-src.zip) ([MD5](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating-src.zip.md5) - [SHA1](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating-src.zip.sha1) - [PGP](http://archive.apache.org/dist/incubator/unomi/1.1.0-incubating/unomi-1.1.0-incubating-src.zip.asc))

## 1.0.0-incubating

### Release notes

Here are the [release notes](https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12319220&amp;version=12334704) for this version of Apache Unomi

### Binaries

* [tar.gz](http://archive.apache.org/dist/incubator/unomi/1.0.0-incubating/unomi-1.0.0-incubating.tar.gz) ([PGP](http://archive.apache.org/dist/incubator/unomi/1.0.0-incubating/unomi-1.0.0-incubating.tar.gz.asc))
* [zip](http://archive.apache.org/dist/incubator/unomi/1.0.0-incubating/unomi-1.0.0-incubating.zip) ([PGP](http://archive.apache.org/dist/incubator/unomi/1.0.0-incubating/unomi-1.0.0-incubating.zip.asc))

### Source code

* [tar.gz](http://archive.apache.org/dist/incubator/unomi/1.0.0-incubating/unomi-1.0.0-incubating-src.tar.gz) ([PGP](http://archive.apache.org/dist/incubator/unomi/1.0.0-incubating/unomi-1.0.0-incubating-src.tar.gz.asc))
* [zip](http://archive.apache.org/dist/incubator/unomi/1.0.0-incubating/unomi-1.0.0-incubating-src.zip) ([PGP](http://archive.apache.org/dist/incubator/unomi/1.0.0-incubating/unomi-1.0.0-incubating-src.zip.asc))
