<!--
  ~ Licensed to the Apache Software Foundation (ASF) under one or more
  ~ contributor license agreements.  See the NOTICE file distributed with
  ~ this work for additional information regarding copyright ownership.
  ~ The ASF licenses this file to You under the Apache License, Version 2.0
  ~ (the "License"); you may not use this file except in compliance with
  ~ the License.  You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

# General documentation

In this section we regroup the documentation by Apache Unomi version. 

## Version 1.2 (current)

- [Building and deploying](versions/1.2/building-and-deploying.html)
- [Getting started](versions/1.2/getting-started.html)
- [Configuration](versions/1.2/configuration.html)
- [Samples](versions/1.2/samples.html)
- [Connectors](versions/1.2/connectors.html)
- [Cluster setup](versions/1.2/clustering.html)
- [Concepts](versions/1.2/concepts.html)
- [Custom extensions](versions/1.2/custom-extensions.html)

## Version 1.1 

- [Building and deploying](versions/1.1/building-and-deploying.html)
- [Getting started](versions/1.1/getting-started.html)
- [Configuration](versions/1.1/configuration.html)
- [Cluster setup](versions/1.1/clustering.html)
- [Concepts](versions/1.1/concepts.html)

## Master (snapshot, in development)

- [Building and deploying](versions/master/building-and-deploying.html)
- [Getting started](versions/master/getting-started.html)
- [Configuration](versions/master/configuration.html)
- [Samples](versions/master/samples.html)
- [Connectors](versions/master/connectors.html)
- [Cluster setup](versions/master/clustering.html)
- [Concepts](versions/master/concepts.html)
- [Custom extensions](versions/master/custom-extensions.html)
- [Consent API](versions/master/consent-api.html)

# Migration documentation

- [ElasticSearch migrations](migrating-elasticsearch.html)